Skip to main content
GET
/
locations
/
{id}
Get Location
curl --request GET \
  --url https://api.roostedhr.com/api/1_12/locations/{id} \
  --header 'X-API-KEY: <api-key>'
{
  "id": "<string>",
  "location": "<string>",
  "addy_street_number": "<string>",
  "addy_city": "<string>",
  "addy_zip": "<string>",
  "location_comments": "<string>",
  "default": 0,
  "saved": 0,
  "color": "#DC136C",
  "timezone": {
    "id": 123,
    "name": "<string>",
    "offset": "<string>"
  },
  "companies_payroll_rulesets_id": "<string>",
  "payroll_rule_display": "<string>",
  "latitude": "<string>",
  "longitude": "<string>",
  "default_clients_id": "<string>",
  "default_areas": [
    "<string>"
  ]
}

Authorizations

X-API-KEY
string
header
required

Path Parameters

id
string
required

Location ID

Response

OK

id
string

Location identifier

location
string

Location name

addy_street_number
string

Street address

addy_city
string

City

addy_zip
string

ZIP/postal code

location_comments
string | null

Additional comments

default
integer | null

Whether this is the default location (0 or 1)

Required range: 0 <= x <= 1
saved
integer | null

Whether the location is saved (0 or 1)

Required range: 0 <= x <= 1
color
string | null

Hex color code

Example:

"#DC136C"

timezone
object

Location timezone

companies_payroll_rulesets_id
string | null

Associated payroll ruleset ID

payroll_rule_display
string | null

Payroll rule display name

latitude
string | null

GPS latitude coordinate

longitude
string | null

GPS longitude coordinate

default_clients_id
string | null

Default client hashed ID

default_areas
string[]

Default area IDs